'use client';
import { useState } from "react";
import Link from "next/link";
import { Swiper, SwiperSlide } from "swiper/react";
import { Autoplay, Pagination } from "swiper/modules";
import EmojioneMonotoneWomansClothes from '@/components/icons/EmojioneMonotoneWomansClothes';
import "swiper/css";
import 'swiper/css/autoplay';
import 'swiper/css/pagination';
import style from './hero.module.css';
import './hero.css';

export default function Hero() {
	const [title, setTitle] = useState('Flix');

	function setTittle(slide: any){
		const index = slide.realIndex as number;
		if(index===0) setTitle('Flix');
		else if(index===1) setTitle('Brew');
		else if(index===2) setTitle('Zen');
		else if(index===3) setTitle('Spree');
	}
	return <>
		<Swiper
			modules={[Autoplay, Pagination]}
			autoplay={{
				delay: 1500,
				disableOnInteraction: false
			}}
			pagination
			loop
			className="h-screen bg-black"
			onRealIndexChange={setTittle}
		>
			<SwiperSlide>
				<img srcSet={[1366, 1920].map(v=>(`https://ik.imagekit.io/choreless/v2/images/home/hero1.jpeg?tr=w-${v} ${v}w`)).join()} alt='hero image 1' className='object-cover w-full h-full object-[60%_0%]' />
			</SwiperSlide>
			<SwiperSlide>
				<img srcSet={[1366, 1920].map(v=>(`https://ik.imagekit.io/choreless/v2/images/home/hero2.jpeg?tr=w-${v} ${v}w`)).join()} alt='hero image 2' className='object-cover w-full h-full object-[55%_0%] sm:object-[0%_100%]' />
			</SwiperSlide>
			<SwiperSlide>
				<img srcSet={[1366, 1920].map(v=>(`https://ik.imagekit.io/choreless/v2/images/home/hero3.jpeg?tr=w-${v} ${v}w`)).join()} alt='hero image 3' className='object-cover w-full h-full object-[80%_0%] sm:object-[0%_85%]' />
			</SwiperSlide>
			<SwiperSlide>
				<img srcSet={[1366, 1920].map(v=>(`https://ik.imagekit.io/choreless/v2/images/home/hero4.jpeg?tr=w-${v} ${v}w`)).join()} alt='hero image 4' className='object-cover w-full h-full object-[65%_0%]' />
			</SwiperSlide>
			<div>
				{/* lane 1 */}
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[35vw] border-primary bg-primary`}			style={{animation: '2s ease-out 0s infinite normal bubble'}}><div className="w-8 h-8 fill-primary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[35vw] border-secondary bg-secondary`}	style={{animation: '2s ease-out 1s infinite normal bubble'}}><div className="w-8 h-8 fill-secondary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[35vw] border-success bg-success`}			style={{animation: '2s ease-out 2s infinite normal bubble'}}><div className="w-8 h-8 fill-success"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[35vw] border-info bg-info`}						style={{animation: '2s ease-out 3s infinite normal bubble'}}><div className="w-8 h-8 fill-info"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[35vw] border-warning bg-warning`}			style={{animation: '2s ease-out 4s infinite normal bubble'}}><div className="w-8 h-8 fill-warning"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[35vw] border-error bg-error`}					style={{animation: '2s ease-out 5s infinite normal bubble'}}><div className="w-8 h-8 fill-error"><EmojioneMonotoneWomansClothes /></div></div>
				{/* lane 2 */}
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[40vw] border-error bg-error`}					style={{animation: '2.5s ease-out 0s infinite normal bubble'}}><div className="w-8 h-8 fill-error"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[40vw] border-primary bg-primary`}			style={{animation: '2.5s ease-out 1s infinite normal bubble2'}}><div className="w-8 h-8 fill-primary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[40vw] border-secondary bg-secondary`}	style={{animation: '2.5s ease-out 2s infinite normal bubble'}}><div className="w-8 h-8 fill-secondary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[40vw] border-success bg-success`}			style={{animation: '2.5s ease-out 3s infinite normal bubble2'}}><div className="w-8 h-8 fill-success"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[40vw] border-info bg-info`}						style={{animation: '2.5s ease-out 4s infinite normal bubble'}}><div className="w-8 h-8 fill-info"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[40vw] border-warning bg-warning`}			style={{animation: '2.5s ease-out 5s infinite normal bubble2'}}><div className="w-8 h-8 fill-warning"><EmojioneMonotoneWomansClothes /></div></div>
				{/* lane 3 */}
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[45vw] border-warning bg-warning`}			style={{animation: '1.5s ease-out 0s infinite normal bubble2'}}><div className="w-8 h-8 fill-warning"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[45vw] border-error bg-error`}					style={{animation: '1.5s ease-out 1s infinite normal bubble2'}}><div className="w-8 h-8 fill-error"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[45vw] border-primary bg-primary`}			style={{animation: '1.5s ease-out 2s infinite normal bubble'}}><div className="w-8 h-8 fill-primary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[45vw] border-secondary bg-secondary`}	style={{animation: '1.5s ease-out 3s infinite normal bubble'}}><div className="w-8 h-8 fill-secondary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[45vw] border-success bg-success`}			style={{animation: '1.5s ease-out 4s infinite normal bubble2'}}><div className="w-8 h-8 fill-success"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[45vw] border-info bg-info`}						style={{animation: '1.5s ease-out 5s infinite normal bubble2'}}><div className="w-8 h-8 fill-info"><EmojioneMonotoneWomansClothes /></div></div>
				{/* lane 4 */}
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[48vw] border-info bg-info`}						style={{animation: '2s ease-out 0s infinite normal bubble2'}}><div className="w-8 h-8 fill-info"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[48vw] border-warning bg-warning`}			style={{animation: '2s ease-out 1s infinite normal bubble2'}}><div className="w-8 h-8 fill-warning"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[48vw] border-error bg-error`}					style={{animation: '2s ease-out 2s infinite normal bubble2'}}><div className="w-8 h-8 fill-error"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[48vw] border-primary bg-primary`}			style={{animation: '2s ease-out 3s infinite normal bubble'}}><div className="w-8 h-8 fill-primary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[48vw] border-secondary bg-secondary`}	style={{animation: '2s ease-out 4s infinite normal bubble'}}><div className="w-8 h-8 fill-secondary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[48vw] border-success bg-success`}			style={{animation: '2s ease-out 5s infinite normal bubble2'}}><div className="w-8 h-8 fill-success"><EmojioneMonotoneWomansClothes /></div></div>
				{/* lane 5 */}
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[46vw] border-success bg-success`}			style={{animation: '1.5s ease-out 0s infinite normal bubble3'}}><div className="w-8 h-8 fill-success"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[46vw] border-info bg-info`}						style={{animation: '1.5s ease-out 1s infinite normal bubble3'}}><div className="w-8 h-8 fill-info"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[46vw] border-warning bg-warning`}			style={{animation: '1.5s ease-out 2s infinite normal bubble'}}><div className="w-8 h-8 fill-warning"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[46vw] border-error bg-error`}					style={{animation: '1.5s ease-out 3s infinite normal bubble3'}}><div className="w-8 h-8 fill-error"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[46vw] border-primary bg-primary`}			style={{animation: '1.5s ease-out 4s infinite normal bubble2'}}><div className="w-8 h-8 fill-primary"><EmojioneMonotoneWomansClothes /></div></div>
				<div className={`w-16 h-16 border rounded-full flex items-center justify-center absolute bottom-0 z-10 bg-opacity-50 opacity-0 shadow-2xl ms-[46vw] border-secondary bg-secondary`}	style={{animation: '1.5s ease-out 5s infinite normal bubble2'}}><div className="w-8 h-8 fill-secondary"><EmojioneMonotoneWomansClothes /></div></div>
			</div>
		</Swiper>
		<section className={`container absolute z-10 bg-white rounded-3xl transition-all duration-500 ${style.container}`}>
			<div className={style.content}>
				<div className="text-slate-900 font-bold">
					<p>{title}</p>
					<p>O’clock</p>
					<p>It’s About Time</p>
				</div>
				<p className="text-neutral-700">Discover Your Happy Place - Free up more time to discover your happy place.</p>
				<Link href='/signup' className="btn [@media_(max-height:_500px)]:btn-sm bg-blue-600 text-white rounded-full border-none hover:bg-blue-800 capitalize">Get Started</Link>
			</div>
		</section>
	</>
}
